--[[
module to set gui screen to fit in any devices
]]

local screen_size = {}

-- variable of gui
local board
local board_width
local board_height
local board_dimension
-- variable for screen_size
local win_width
local win_height
-- variable scaling factory
local scale_width
local scale_height
-- variable for center of devices screen_size
local win_center_x
local win_center_y

function screen_size.scale()
-- get gui board node and dimension 
	board = gui.get_node("board")
	board_dimension = gui.get_size(board)
	board_width = board_dimension.x
	board_height = board_dimension.y
-- get the device screen_size, dimension and center
	win_width, win_height = window.get_size()
	win_center_x = win_width / 2
	win_center_y = win_height / 2
-- calculate scale 
	scale_width = win_width / board_width
	scale_height = win_height / board_height
--	screen is wider
	if scale_width >= scale_height then
		gui.set_scale(board, vmath.vector3(scale_height, scale_height, 0))
		gui.set_position(board, vmath.vector3(win_center_x, win_center_y, 0))
	end
-- screen is higher
	if scale_width < scale_height then
		gui.set_scale(board, vmath.vector3(scale_width, scale_width, 0))
		gui.set_position(board, vmath.vector3(win_center_x, win_center_y, 0))
	end
end

return screen_size